CREATE TABLE FOO_MASTER
(
  ID                  NUMBER(10)     NOT NULL,
  FOO_ID              VARCHAR2(32)   NOT NULL,
  HOO_ID              VARCHAR2(64)   NOT NULL,
  TOROKU_DATE_TIME    TIMESTAMP      NOT NULL,
  FOO_NAME            VARCHAR2(128)  NOT NULL,
  FOO_ADDRESS         VARCHAR2(256),
  FOO_PHONE           VARCHAR2(128),
  VERSION             NUMBER(6)      NOT NULL  DEFAULT 1,
  CREATE_USER_ID      VARCHAR2(32)   NOT NULL,
  CREATE_DATE_TIME    TIMESTAMP     NOT NULL,
  UPDATE_USER_ID      VARCHAR2(32)   NOT NULL,
  UPDATE_DATE_TIME    TIMESTAMP     NOT NULL
)
;

ALTER TABLE FOO_MASTER ADD CONSTRAINT FOO_MASTER_PK PRIMARY KEY
(
  ID
)
;
